Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch
Class LocalSearchStepScope

    java.lang.Object
      org.drools.planner.core.solver.AbstractStepScope
          org.drools.planner.core.localsearch.LocalSearchStepScope

    public class LocalSearchStepScope

extends AbstractStepScope

Field Summary

Fields inherited from class org.drools.planner.core.solver.AbstractStepScope
`bestScoreImproved, clonedSolution, score, stepIndex`

Constructor Summary
`LocalSearchStepScope(LocalSearchSolverScope localSearchSolverScope)`

Method Summary
`AbstractSolverScope` | `getAbstractSolverScope()`
`Comparator<Score>` | `getDeciderScoreComparator()`
`LocalSearchSolverScope` | `getLocalSearchSolverScope()`
`Move` | `getStep()`
`double` | `getTimeGradient()`
`Move` | `getUndoStep()`
`void` | `setDeciderScoreComparator(Comparator<Score> deciderScoreComparator)`
`void` | `setStep(Move step)`
`void` | `setTimeGradient(double timeGradient)`
`void` | `setUndoStep(Move undoStep)`

Methods inherited from class org.drools.planner.core.solver.AbstractStepScope
`createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getStepIndex, getWorkingMemory, getWorkingRandom, getWorkingSolution, setBestScoreImproved, setClonedSolution, setScore, setStepIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalSearchStepScope

    public LocalSearchStepScope(LocalSearchSolverScope localSearchSolverScope)

Method Detail

### getLocalSearchSolverScope

    public LocalSearchSolverScope getLocalSearchSolverScope()

### getAbstractSolverScope

    public AbstractSolverScope getAbstractSolverScope()

  Specified by:
    `getAbstractSolverScope` in class `AbstractStepScope`

### getTimeGradient

    public double getTimeGradient()

### setTimeGradient

    public void setTimeGradient(double timeGradient)

### getDeciderScoreComparator

    public Comparator<Score> getDeciderScoreComparator()

### setDeciderScoreComparator

    public void setDeciderScoreComparator(Comparator<Score> deciderScoreComparator)

### getStep

    public Move getStep()

### setStep

    public void setStep(Move step)

### getUndoStep

    public Move getUndoStep()

### setUndoStep

    public void setUndoStep(Move undoStep)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.